---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: netpol-oidc
  namespace: flux-system
spec:
  interval: 50m
  retryInterval: 1m

  sourceRef:
    kind: ${_core_repo_kind:-GitRepository}
    name: core-addons

  serviceAccountName: kustomize-controller

  path: ./network-policies/${cni:-cilium}/oidc
  prune: true

  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: cluster-vars
